Bug 213346 - Xorg does not start in dom0 when driver is i810
Xorg does not start in dom0 when driver is i810
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Eduardo Habkost
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 17:46 EST by Bob Richmond
Modified: 2008-02-27 04:21 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:37:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (48.36 KB, text/plain)
2006-10-31 17:46 EST, Bob Richmond
no flags Details
Output of xm dmesg (5.47 KB, text/plain)
2006-10-31 17:51 EST, Bob Richmond
no flags Details
Compare with a log when starting X successfully under a non-xen kernel (59.93 KB, text/plain)
2006-11-01 17:12 EST, Bob Richmond
no flags Details
Xorg.log under XenSource xen+kernel (47.86 KB, text/plain)
2006-11-07 19:47 EST, Luciano Rocha
no flags Details
Xen/Xorg generated xorg.conf for i810 (2.36 KB, application/octet-stream)
2006-11-08 03:53 EST, James Page
no flags Details
Non-Xen Xorg log (51.79 KB, text/plain)
2006-11-15 12:43 EST, Adam Huffman
no flags Details
Xorg log with Xen kernel (45.47 KB, application/octet-stream)
2006-11-15 12:45 EST, Adam Huffman
no flags Details
log file (39.93 KB, text/plain)
2006-11-16 07:45 EST, Adam Huffman
no flags Details
Xorg.log describes errors of X not booting (866 bytes, text/plain)
2006-12-28 23:37 EST, John Maclean
no flags Details

  None (edit)
Description Bob Richmond 2006-10-31 17:46:58 EST
Description of problem: When booting into a xen0 kernel and the display driver
is i810, Xorg will not start.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-1.2798.fc6, xorg-x11-server-Xorg-1.1.1-47.fc6,
xorg-x11-drv-i810-1.6.5-9.fc6

How reproducible: Always

Steps to Reproduce:
1. Boot into this kernel-xen kernel
2. Wait for rhgb to come up
  
Actual results: X server does not start

Expected results: X server should start

Additional info:
Comment 1 Bob Richmond 2006-10-31 17:46:58 EST
Created attachment 139910 [details]
Xorg log
Comment 2 Bob Richmond 2006-10-31 17:51:58 EST
Created attachment 139911 [details]
Output of xm dmesg
Comment 3 Bob Richmond 2006-11-01 17:12:47 EST
Created attachment 140047 [details]
Compare with a log when starting X successfully under a non-xen kernel

Notice that the log emitted when started under Xen, the I810 driver reports
VESA VBE Total Mem: 320 kB, while the non-xen log reports VESA VBE Total Mem:
8000 kB.
Comment 4 Luciano Rocha 2006-11-07 19:47:35 EST
Created attachment 140612 [details]
Xorg.log under XenSource xen+kernel
Comment 5 Luciano Rocha 2006-11-07 19:48:57 EST
I also have the same problem. With FC6 xen and kernel and with XenSource's
kernel-xen-2.6.16.29-3.0.3.0.i386.rpm and xen-3.0.3.0-1.i386.rpm. I've attached
xorg log under those.
Comment 6 James Page 2006-11-08 03:53:02 EST
Created attachment 140636 [details]
Xen/Xorg generated xorg.conf for i810

I'm seeing exactly the same issue.  Regenerated xorg.conf running xen kernel -
see attached.  Not sure but it may be that the i810 chipset uses system memory
- maybe Xen is grabbing everything so no space for any screens?
Comment 7 Adam Huffman 2006-11-15 12:40:21 EST
I'm seeing this on a Dell OptiPlex GX270.  I know there were problems with the X
driver for this hardware in the early BIOS revisions but I'm now on BIOS A06 and
non-Xen X is fine.
Comment 8 Adam Huffman 2006-11-15 12:43:42 EST
Created attachment 141289 [details]
Non-Xen Xorg log
Comment 9 Adam Huffman 2006-11-15 12:45:46 EST
Created attachment 141290 [details]
Xorg log with Xen kernel
Comment 10 Adam Huffman 2006-11-16 07:45:24 EST
Created attachment 141363 [details]
 log file

This is the X server output when running xorg-x11-server-1.1.1-47.1.fc6 with a
Xen kernel - the server doesn't start but at least the whole machine doesn't
crash...
Comment 11 Beat Mueller 2006-11-22 20:16:21 EST
Still the same problem with new kernel-xen-2.6.18-1.2849.fc,
xorg-x11-server-Xorg-1.1.1-47.1.fc6 and new xorg-x11-drv-i810-1.6.5-10.fc6, the
machine boots but Xorg server fails to start. The output in Xorg.0.log remians
the same as posted with earlier comments.
Comment 12 Beat Mueller 2006-11-22 20:17:58 EST
Still the same problem with new kernel-xen-2.6.18-1.2849.fc6,
xorg-x11-server-Xorg-1.1.1-47.1.fc6 and new xorg-x11-drv-i810-1.6.5-10.fc6, the
machine boots but Xorg server fails to start. The output in Xorg.0.log remians
the same as posted with earlier comments.
Comment 13 Adam Huffman 2006-11-24 12:54:07 EST
Same here - it's not fixed with the latest i810 driver update.
Comment 14 Adriaan Peeters 2006-12-01 04:16:43 EST
I have a similar issue on Ubuntu Edgy but the Xensource live cd (3.0) works on
my i810 system. I will try to get logs of Xorg from the cd.
Comment 15 Julian Yap 2006-12-01 13:46:48 EST
Link to bug in Ubuntu Launchpad:
https://launchpad.net/distros/ubuntu/+source/xen-source-2.6.17/+bug/74023
Comment 16 Daniel Malmgren 2006-12-06 03:26:57 EST
There seems to be quite a lot of bugs concerning this (or relevant) issues. For
example #206032, #207432 and #216406. Don't really know which of them should be
marked dupes of which...

I was also experiencing this problem up to recently (system crashed when
starting X with i810 or intel driver under Xen). I bought another gig of ram for
my laptop (had 512MB before, now I'm on 1.5GB), and the problems disappeared. I
guess it's less risk of Xen and i810 to poke in same memory if there's more of it...
Comment 17 John Maclean 2006-12-28 23:37:37 EST
Created attachment 144520 [details]
Xorg.log describes errors of X not booting
Comment 18 John Maclean 2006-12-28 23:42:16 EST
IBM Thinpad X30, I.0GB of RAM. Same erors as those listed above.
VGA compatible controller: Intel Corporation 82830 CGC [Chipset Graphics
Controller] (rev 04)
Comment 19 Christopher Blay 2007-01-03 15:29:07 EST
I think I'm having this problem too. Just installed FC6 on an older HP Brio
(800MHz CPU, 768MB RAM, Savage S3 Onboard Video (I think)). On the first boot,
tries to start X server, but screen turns off (like it would after 20 min or so
of screen saver). I can Ctrl+Alt+F1 and see the start-up messages, but if I
Ctrl+Alt+F8 the screen turns off again. Only kernel available to boot from is
Xen, but I will try install later today without Xen so I can boot from normal
kernel. Sorry, don't have Xorg.log to show you.
Comment 20 Christopher Blay 2007-01-04 19:25:57 EST
Update: I installed FC6 w/o virtualization. I'm not sure why the normal kernel
wasn't available before, but now it is. Everything works fine when I boot to the
normal kernel. Probably has something to with Xen not sharing with the onboard
video memory, but what do I know? I'm glad I found this anyways, it gave me some
idea as to what was wrong.
Comment 21 Adriaan Peeters 2007-02-12 04:27:06 EST
For those of you using a Dell Latitude D505 (or similar): try setting the UMA to
8MB. This fixed the problem for me. If you do not have a UMA setting, make sure
your bios version is A09 or higher.
Comment 23 Red Hat Bugzilla 2007-07-24 20:01:59 EDT
change QA contact
Comment 25 Chris Lalancette 2008-02-26 18:37:19 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.